#!/bin/bash

# Get the version name
VERSION=`basename \`pwd\``

if [ -e "../$VERSION.zip" ]; then
	echo "The file ../$VERSION.zip already exists."
	exit 1
fi

echo Warning: This script will delete certain files from the current
echo directory and its subdirectories.  Are you sure you want to do
echo -n 'this? [y|n] '

read ANSWER

if [ "$ANSWER" != 'y' ]; then
	exit 1
fi

# Clean up build junk
debian/rules clean

# Build the images for the HTML documentation
./makehtml

# Delete large unneeded files
rm -f graphics/*.xcf

# Create the zip archive
cd ..
zip -r $VERSION.zip $VERSION
