#!/bin/bash

# Get the name of the current directory
DIRNAME=`basename \`pwd\``

# Get the version name
VNUM=`head -1 debian/changelog|grep '^pathological'|sed 's/^.*(\(.*\)).*$/\1/'`

if [ -z "$VNUM" ]; then
	echo "The debian/changelog file has not been prepared for the release."
	exit 1
fi

VERSION=pathological_$VNUM
TMPDIR=pathological-$VNUM

if [ -e "../$TMPDIR" ]; then
	echo "The directory ../$TMPDIR already exists."
	exit 1
fi

if [ -e "../${VERSION}_i386.deb" ]; then
	echo "The file ../${VERSION}_i386.deb already exists."
	echo -n "Do you want to proceed anyway? [y|n] "

	read ANSWER

	if [ "$ANSWER" != 'y' ]; then
		exit 1
	fi
fi

cd ..
cp -a $DIRNAME $TMPDIR
cd $TMPDIR

# Delete the CVS directories
rm -rf `find . -name CVS`

# Build the Debian package
dpkg-buildpackage -rfakeroot

# Create the zip archive
echo y | ./mkzip.sh

# Remove the temporary directory
cd ..
rm -rf $TMPDIR
